OpenJPEG 缓冲区错误漏洞

1次阅读
没有评论

漏洞信息详情

OpenJPEG 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201610-127
  • <!--

  • 危害等级: 高危-->
  • 危害等级: 高危

  • CVE编号: CVE-2016-8332

  • 漏洞类型:

    缓冲区错误

  • 发布时间:

    2016-09-30

  • 威胁类型:

    本地

  • 更新时间:

    2020-07-16

  • 厂        商: openjpeg
  • 漏洞来源: Aleksandar Nikolic...

漏洞简介

OpenJPEG是一款基于C语言的开源JPEG 2000编码解码器。

OpenJPEG 2.1.1版本中存在缓冲区溢出漏洞。攻击者可通过解析特制的jpeg2000文件造成越边界堆写入,导致任意代码执行。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

https://github.com/uclouvain/openjpeg/releases/tag/v2.1.2

参考网址

来源:DEBIAN

链接:https://www.debian.org/security/2017/dsa-3768

来源:MISC

链接:https://github.com/uclouvain/openjpeg/releases/tag/v2.1.2

来源:SECTRACK

链接:http://www.securitytracker.com/id/1038623

来源:MISC

链接:http://www.talosintelligence.com/reports/TALOS-2016-0193/

来源:BID

链接:https://www.securityfocus.com/bid/93242

来源:MISC

链接:https://www.oracle.com/security-alerts/cpujul2020.html

受影响实体

  • Openjpeg Openjpeg:2.1.1  

    <!--

    2000-1-1

    -->


补丁

  • OpenJPEG 缓冲区错误漏洞的修复措施

    <!--

    2016-9-30

    -->


admin
版权声明:本站原创文章,由 admin2022-01-14发表,共计814字。
转载说明:除特殊说明外本站文章皆由CC-4.0协议发布,转载请注明出处。
评论(没有评论)
验证码